<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Float</title>

  <style>

    .imagem {  
      width: 200px;
      height: 200px;
      float: right;
    }

    h1 {
      display: inline;
    }    


  </style>

</head>
<body>
  <h1>Quando usar float?</h1>
  <h1>Outro título</h1>

  <p class="texto1">Lorem ipsum dolor sit amet, consectetur adipiscing elit. 
    Nulla luctus aliquam dolor, eu lacinia lorem placerat vulputate. 
    Duis felis orci, pulvinar id metus ut, rutrum luctus orci. 
    Cras porttitor imperdiet nunc, at ultricies tellus laoreet sit amet. 
    Sed auctor cursus massa at porta. Integer ligula ipsum, 
    tristique sit amet orci vel, viverra egestas ligula. 
    Curabitur vehicula tellus neque, ac ornare ex malesuada et. 
    In vitae convallis lacus. Aliquam erat volutpat. 
    Suspendisse ac imperdiet turpis. Aenean finibus sollicitudin 
    eros pharetra congue. Duis ornare egestas augue ut luctus. 
    Proin blandit quam nec lacus varius commodo et a urna. 
    Ut id ornare felis, eget fermentum sapien.</p>


  <img class="imagem" src="imagem.jpg">

 

  <p class="texto2">Lorem ipsum dolor sit amet, consectetur adipiscing elit. 
    Nulla luctus aliquam dolor, eu lacinia lorem placerat vulputate. 
    Duis felis orci, pulvinar id metus ut, rutrum luctus orci. 
    Cras porttitor imperdiet nunc, at ultricies tellus laoreet sit amet. 
    Sed auctor cursus massa at porta. Integer ligula ipsum, 
    tristique sit amet orci vel, viverra egestas ligula. 
    Curabitur vehicula tellus neque, ac ornare ex malesuada et. 
    In vitae convallis lacus. Aliquam erat volutpat. 
    Suspendisse ac imperdiet turpis. Aenean finibus sollicitudin 
    eros pharetra congue. Duis ornare egestas augue ut luctus. 
    Proin blandit quam nec lacus varius commodo et a urna. 
    Ut id ornare felis, eget fermentum sapien.</p>

  <p class="texto3">Lorem ipsum dolor sit amet, consectetur adipiscing elit. 
      Nulla luctus aliquam dolor, eu lacinia lorem placerat vulputate. 
      Duis felis orci, pulvinar id metus ut, rutrum luctus orci. 
      Cras porttitor imperdiet nunc, at ultricies tellus laoreet sit amet. 
      Sed auctor cursus massa at porta. Integer ligula ipsum, 
      tristique sit amet orci vel, viverra egestas ligula. 
      Curabitur vehicula tellus neque, ac ornare ex malesuada et. 
      In vitae convallis lacus. Aliquam erat volutpat. 
      Suspendisse ac imperdiet turpis. Aenean finibus sollicitudin 
      eros pharetra congue. Duis ornare egestas augue ut luctus. 
      Proin blandit quam nec lacus varius commodo et a urna. 
      Ut id ornare felis, eget fermentum sapien.</p>

</body>
</html>